Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataAttend.cs	(revision 83)
@@ -0,0 +1,376 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 発注者打ち合わせ議事録データアクセス（出席者）
+    /// </summary>
+    public class IOProceedingsDataAttend : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+            /// <summary>
+            /// 議事録作成日
+            /// </summary>
+            ProceedingsDataDate,
+            /// <summary>
+            /// 会議時間開始
+            /// </summary>
+            StartMeetingTime,
+            /// <summary>
+            /// データ行番号
+            /// </summary>
+            SeqNo,
+            /// <summary>
+            /// 出席者所属
+            /// </summary>
+            Department,
+            /// <summary>
+            /// 出席者氏名
+            /// </summary>
+            AttendName,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOProceedingsDataAttend()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成
+            string strcmd = "SELECT";
+
+            strcmd += " ConstructionCode";                                  // 工事番号
+            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";     // 議事録作成日
+            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
+            strcmd += " ,SeqNo";                                            // データ行番号
+            strcmd += " ,Department";                                       // 出席者所属
+            strcmd += " ,AttendName";                                       // 出席者氏名
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
+            strcmd += " FROM ProceedingsDataAttend";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<ProceedingsDataAttend> data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ProceedingsDataAttend work = new ProceedingsDataAttend();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref ProceedingsDataAttend data, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(ProceedingsDataAttend work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO ProceedingsDataAttend";
+
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
+                
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                                            , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
+
+                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
+
+                strcmd += string.Format(",'{0}'", work.Department);                         // 出席者所属
+                strcmd += string.Format(",'{0}'", work.AttendName);                         // 出席者氏名
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<ProceedingsDataAttend> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (ProceedingsDataAttend work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ProceedingsDataAttend data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE ProceedingsDataAttend";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                
+                strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                                        , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
+
+                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
+                strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
+
+                strcmd += string.Format(",Department = '{0}'", data.Department);                // 出席者所属
+                strcmd += string.Format(",AttendName = '{0}'", data.AttendName);                // 出席者氏名
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM ProceedingsDataAttend", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// 構造体へセットする
+        /// </summary>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ProceedingsDataAttend wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());       // 議事録作成日
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // データ行番号
+
+                wrk.Department = objwrk[(int)TableColumn.Department].ToString();                             // 出席者所属
+                wrk.AttendName = objwrk[(int)TableColumn.AttendName].ToString();                             // 出席者氏名
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
+                if (ProceedingsDataDate != DateTime.MinValue)
+                    strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                if (StartMeetingTime != 0)
+                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 83)
@@ -31,20 +31,20 @@
         /// <summary>
         /// データフィールド並び
         /// </summary>
-        public enum DataColumn
+        public enum TableColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 議事録作成日
             /// </summary>
             ProceedingsDataDate,
             /// <summary>
-            /// 工事番号
+            /// 会議時間開始
             /// </summary>
-            ConstructionCode,
+            StartMeetingTime,
             /// <summary>
             /// データ行番号
             /// </summary>
@@ -60,7 +60,7 @@
             /// <summary>
             /// 内容
             /// </summary>
-            Contents,
+            ContentsText,
             /// <summary>
             /// 登録年月日
             /// </summary>
@@ -93,15 +93,15 @@
             // SQL作成
             string strcmd = "SELECT";
 
-            strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";       // 議事録作成日
-            strcmd += " ,ConstructionCode";                                 // 工事番号
+            strcmd += " ConstructionCode";                                  // 工事番号
+            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";     // 議事録作成日
+            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
             strcmd += " ,SeqNo";                                            // データ行番号
-            strcmd += " ,TitileNo";                                         // 議題番号
-            strcmd += " ,Titile";                                           // 議題
-            strcmd += " ,Contents";                                         // 内容
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
+            strcmd += " ,TitleNo";                                          // 議題番号
+            strcmd += " ,Title";                                            // 議題
+            strcmd += " ,ContentsText";                                     // 内容
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
             strcmd += " FROM ProceedingsDataDetail";
 
             return strcmd;
@@ -186,17 +186,25 @@
             {
                 strcmd = "INSERT INTO ProceedingsDataDetail";
 
-                strcmd += " VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
-                strcmd += string.Format("  {0}", work.PersonCode);                          // 担当者コード
+                strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
                 strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                            , work.ProceedingsDataDate.ToShortDateString());      // 議事録作成日
-                strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
+                                            , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
+                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
                 strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
 
-                strcmd += string.Format(", {0}", work.TitleNo);                            // 議題番号
-                strcmd += string.Format(",'{0}'", work.Title);                             // 議題
-                strcmd += string.Format(",'{0}'", work.Contents);                           // 内容
+                strcmd += string.Format(",'{0}'", work.TitleNo);                            // 議題番号
+                strcmd += string.Format(",'{0}'", work.Title);                              // 議題
+                strcmd += string.Format(",'{0}'", work.ContentsText);                       // 内容
 
                 strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
@@ -252,15 +260,15 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
-                                        , data.ProceedingsDataDate.ToShortDateString());              // 議事録作成日
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                                        , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
+                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
 
-                strcmd += string.Format(",TitileNo = {0}", data.TitleNo);                       // 議題番号
-                strcmd += string.Format(",Titile = '{0}'", data.Title);                         // 議題
-                strcmd += string.Format(",Contents = '{0}'", data.Contents);                    // 内容
+                strcmd += string.Format(",TitleNo = '{0}'", data.TitleNo);                      // 議題番号
+                strcmd += string.Format(",Title = '{0}'", data.Title);                          // 議題
+                strcmd += string.Format(",ContentsText = '{0}'", data.ContentsText);            // 内容
 
                 strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
@@ -314,17 +322,19 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)DataColumn.ProceedingsDataDate].ToString());       // 議事録作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // データ行番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());      // 工事番号
+                
+                wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)TableColumn.ProceedingsDataDate].ToString());   // 議事録作成日
 
-                wrk.TitleNo = int.Parse(objwrk[(int)DataColumn.TitleNo].ToString());                        // 議題番号
-                wrk.Title = objwrk[(int)DataColumn.Title].ToString();                                       // 議題
-                wrk.Contents = objwrk[(int)DataColumn.Contents].ToString();                                 // 内容
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)TableColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());                            // データ行番号
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+                wrk.TitleNo = objwrk[(int)TableColumn.TitleNo].ToString();                                   // 議題番号
+                wrk.Title = objwrk[(int)TableColumn.Title].ToString();                                       // 議題
+                wrk.ContentsText = objwrk[(int)TableColumn.ContentsText].ToString();                         // 内容
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -346,16 +356,18 @@
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime ProceedingsDataDate, int ConstructionCode)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0, int SeqNo = 0)
         {
             string strWork = "";
             try
             {
-                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                if (ConstructionCode != 0)
-                    strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
+                strWork = string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
                     strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                if (StartMeetingTime != 0)
+                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 83)
@@ -42,8 +42,8 @@
             ApprovalLimitDates,
             ApprovalStatus,
             InputComment,
-            ENTRY_DATE,
-            UPDATE_DATE
+            EntryDate,
+            UpdateDate
         }
         #endregion
 
@@ -205,19 +205,16 @@
             {
 
                     strcmd = "INSERT INTO ProcessApproval";
-                    strcmd += " (ConstructionCode";
-                    strcmd += ",ApprovalCode";
-                    strcmd += ",OrderNo";
-                    strcmd += ",SeqNo";
-                    strcmd += ",PersonCode";
-                    strcmd += ",PetitionApprovalDate";
-                    strcmd += ",ApprovalLimitDates";
-                    strcmd += ",ApprovalStatus";
-                    strcmd += ",InputComment";
-                    strcmd += ",EntryDate";
-                    strcmd += ",UpdateDate)";
 
-                    strcmd += " VALUES (";
+                    strcmd += " (";
+                    bool bFirst = true;
+                    foreach (var gender in Enum.GetValues(typeof(ColumnName)))
+                    {
+                        if (!bFirst) strcmd += " ,";
+                        strcmd += gender.ToString();
+                        bFirst = false;
+                    }
+                    strcmd += ") VALUES (";
 
                     strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
                     strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
@@ -346,10 +343,10 @@
                         strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.PetitionApprovalDate:
-                        strcmd += string.Format(" PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnName.ApprovalLimitDates:
-                        strcmd += string.Format(" ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnName.ApprovalStatus:
                         strcmd += string.Format(" ApprovalStatus = {0}", ((int)value).ToString());
@@ -394,8 +391,8 @@
                 wrk.ApprovalStatus = int.Parse(objwrk[(int)ColumnName.ApprovalStatus].ToString());
                 wrk.InputComment = objwrk[(int)ColumnName.InputComment].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
